LiferayClient (consumer-service 1.9.0-2.17.2 API)
Date: 2014-01-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.liferay
Class LiferayClient

    java.lang.Object
      org.gcube.messaging.common.consumer.liferay.LiferayClient

    public class LiferayClient

extends Object

Author:
  Andrea Manzi(CERN)

Field Summary
`static String` | `basePortalURL`
`static String` | `infraManagerRoleName`
`static String` | `receiveNotificationCustomAttributeName`
`static String` | `receiveSummaryCustomAttributeName`
`static String` | `siteDomainsCustomAttributeName`
`static String` | `siteManagerRoleName`
`static String` | `siteNameCustomAttributeName`

Constructor Summary
`LiferayClient()`

Method Summary
`org.gcube.vomanagement.usermanagement.ws.RoleModel[]` | `getUserRoles(String userID)`
`org.gcube.vomanagement.usermanagement.ws.UserModel[]` | `getUsersPerGroup(String groupID)`
`ArrayList<org.gcube.vomanagement.usermanagement.ws.UserModel>` | `getUsersWithRole(String rolemame)` Get back site admins ( declared on root scope)
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### basePortalURL

    public static String basePortalURL

### siteManagerRoleName

    public static String siteManagerRoleName

### infraManagerRoleName

    public static String infraManagerRoleName

### receiveNotificationCustomAttributeName

    public static String receiveNotificationCustomAttributeName

### receiveSummaryCustomAttributeName

    public static String receiveSummaryCustomAttributeName

### siteNameCustomAttributeName

    public static String siteNameCustomAttributeName

### siteDomainsCustomAttributeName

    public static String siteDomainsCustomAttributeName

Constructor Detail

### LiferayClient

    public LiferayClient()

Method Detail

### getUsersPerGroup

    public org.gcube.vomanagement.usermanagement.ws.UserModel[] getUsersPerGroup(String groupID)
                                                                          throws javax.xml.rpc.ServiceException,
                                                                                 Exception

  Throws:
    `javax.xml.rpc.ServiceException`
    `Exception`

### getUserRoles

    public org.gcube.vomanagement.usermanagement.ws.RoleModel[] getUserRoles(String userID)
                                                                      throws javax.xml.rpc.ServiceException,
                                                                             Exception

  Throws:
    `javax.xml.rpc.ServiceException`
    `Exception`

### getUsersWithRole

    public ArrayList<org.gcube.vomanagement.usermanagement.ws.UserModel> getUsersWithRole(String rolemame)
                                                                                   throws javax.xml.rpc.ServiceException,
                                                                                          Exception

  Get back site admins ( declared on root scope)

  Throws:
    `Exception`
    `javax.xml.rpc.ServiceException`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.